<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: my.post.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: вывод всех объявлений пользователя
=====================================================
*/

if( !defined( "DATALIFEENGINE" ) ) die( "Hacking attempt!" );

$Folder = "default";
if( $is_logged )
	{
		// Сколько выводить новостей на одну страницу
		$OnPage = $Board->Config['view_cat_on_page'] > 0 ? intval( $Board->Config['view_cat_on_page'] ) : 1;
		
		//	Настройка метатитлов
		$module['title'][] = "Мои объявления";
		$module['speedbar'][] = "Мои объявления";
		
		// Настройка поиска
		$PageLink = "/board/my/page/{page}";
		$NoNewsError = "Добавленных вами объявлений не обнаружено.";
		$SearchInfo = true;
		$author_id = intval( $member_id['user_id'] );
				
		//--------------------------------------------------=-=-=-=-=
		//	Генерация объявлений пользователя
		//--------------------------------------------------=-=-=-=-=
		
		$order = array();
		if( $Board->Config['echo_post_supervip'] != "no" ) $order[] = "`super_vip_date` DESC";
		$order[] = "`date` DESC";
		$order = implode( ", ", $order );
		
		$NewsList = array(
				
			"template"		=> "board/{$Folder}/board.short.tpl",
			"template_nav"	=> "board/{$Folder}/navigation.tpl",
			"template_info"	=> "board/{$Folder}/info.tpl",
			"tpl_compile"	=> "board_content",
			"cashe_folder"	=> "",
			"cashe_file"	=> "",
			"cache"			=> false,
			"sql_count"		=> "SELECT COUNT(*) as count FROM ".PREFIX."_board_post WHERE `author_id`='{$author_id}'",
			"sql_query"		=> "SELECT * FROM ".PREFIX."_board_post WHERE `author_id`='{$author_id}' ORDER BY {$order} {limit}",
			"num"			=> $OnPage,
			"nav"			=> $PageLink,
			"search_info"	=> $SearchInfo,
			"search_text"	=> "У вас найдено {posts} объявлений.",
			"no_news_error" => $NoNewsError,
					
		);
					
		require( ENGINE_DIR."/modules/board/list.post.php" );
				
		// Разрешаем вывод формы поиска
		$BoardLoadMainTpl = true;
		$BoardAllowSearch = false;
	}
		else
	{
		$tpl->Load_Template( "board/{$Folder}/info.tpl" );
		$tpl->set( "{title}", "Информация" );
		$tpl->set( "{error}", "Вы не авторизированы." );
		$tpl->compile( "board_content" );
		$tpl->clear();
				
		// Разрешаем вывод формы поиска
		$BoardLoadMainTpl = true;
		$BoardAllowSearch = false;
	}

?>